From d7bcdf1c53d5c28fbe8aaa55fa3fd3f95afddb4e Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Feb 09 2016 15:44:32 +0000
Subject: [PATCH 277/1001] Be consistent in the github widget regarding help message and validator


---

diff --git a/hubs/widgets/githubissues.py b/hubs/widgets/githubissues.py
index f142bb3..feabd5e 100644
--- a/hubs/widgets/githubissues.py
+++ b/hubs/widgets/githubissues.py
@@ -51,8 +51,8 @@ template = jinja2.Template("""
 
 @argument(name="repo",
           default=None,
-          validator=validators.repo,
-          help="Repo")
+          validator=validators.github_organization,
+          help="Github Organization or username")
 def data(session, widget, display_number, org, repo):
   url = '/'.join(['https://api.github.com/repos',org,repo,"issues"])
   issue_response = requests.get(url)

